// vim: set sw=2 :
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Songbird Distribution Stub Helper.
 *
 * The Initial Developer of the Original Code is
 * POTI <http://www.songbirdnest.com/>.
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Mook <mook@songbirdnest.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

#include <cstdio>
#include <cstdarg>
#include <cstdlib>

#include "commands.h"
#include "stringconvert.h"

#ifdef XP_WIN
#include <tchar.h>
#include <windows.h>
#else
#include "tchar_compat.h"
#endif /* XP_WIN */

void TestParser();
void TestDebug();
void TestVersion();
void TestEnvironment();
void TestExec();

#ifdef XP_WIN
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
#else
int main()
#endif
{
  // disable the user-visible (and hanging) error reporting
  _tputenv(_T("DISTHELPER_SILENT_FAILURE=1"));
  _tchdir(GetAppResoucesDirectory().c_str());
  TestParser();
  TestDebug();
  TestVersion();
  TestEnvironment();
  TestExec();
  return 0;
}

void check(int cond, const char* fmt, ...) {
  if (cond)
    return;

  va_list args;
  va_start(args, fmt);
  _vtprintf(ConvertUTF8toUTFn(fmt).c_str(), args);
  va_end(args);
  fflush(stdout);
  exit(1);
}
